package com.yushu.modules.tool.controller.codegen.vo.table;

import com.yushu.framework.common.pojo.PageParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

import static cn.hutool.core.date.DatePattern.NORM_DATETIME_PATTERN;

@ApiModel("表定义分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ToolCodegenTablePageReqVO extends PageParam {

    @ApiModelProperty(value = "表名称", example = "yudao", notes = "模糊匹配")
    private String tableName;

    @ApiModelProperty(value = "表描述", example = "BDTP", notes = "模糊匹配")
    private String tableComment;

    @ApiModelProperty(value = "开始创建时间", example = "2020-10-24 00:00:00")
    @DateTimeFormat(pattern = NORM_DATETIME_PATTERN)
    private Date beginCreateTime;

    @ApiModelProperty(value = "结束创建时间", example = "2020-10-24 23:59:59")
    @DateTimeFormat(pattern = NORM_DATETIME_PATTERN)
    private Date endCreateTime;

}
